### Struct

# Qmi MessageWdsConfigureProfileEventListInput

since: 1.34

#### Description [src]

    struct QmiMessageWdsConfigureProfileEventListInput {
      /* No available fields */
    }

The `QmiMessageWdsConfigureProfileEventListInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.34

#### Constructors

###### qmi_message_wds_configure_profile_event_list_input_new

Allocates a new `QmiMessageWdsConfigureProfileEventListInput`.

since: 1.34

#### Instance methods

###### qmi_message_wds_configure_profile_event_list_input_get_register

Get the ‘Register’ field from `self`.

since: 1.34

###### qmi_message_wds_configure_profile_event_list_input_get_register_gir

Get the ‘Register’ field from `self`.

since: 1.34

###### qmi_message_wds_configure_profile_event_list_input_ref

Atomically increments the reference count of `self` by one.

since: 1.34

###### qmi_message_wds_configure_profile_event_list_input_set_register

Set the ‘Register’ field in the message.

since: 1.34

###### qmi_message_wds_configure_profile_event_list_input_set_register_gir

Set the ‘Register’ field in the message.

since: 1.34

###### qmi_message_wds_configure_profile_event_list_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.34